package com.casic.PgInterface.overtimeInPG.dto;


import com.casic.PgInterface.overtimeInPG.domain.PGTagPosition;

public class PGPositionDto {

    public String tagMac;
    public String tagName;
    public String hostId;
    public String hostName;
    //    public String TagId;
//    public String CoordinatesId;
    public String coordinatesName;

    public String getX() {
        return x;
    }

    public void setX(String x) {
        this.x = x;
    }

    public String getY() {
        return y;
    }

    public void setY(String y) {
        this.y = y;
    }

    public String x;
    public String y;
    public String positionUpdateTime;

    public String getTagMac() {
        return tagMac;
    }

    public void setTagMac(String tagMac) {
        this.tagMac = tagMac;
    }

    public String getTagName() {
        return tagName;
    }

    public void setTagName(String tagName) {
        this.tagName = tagName;
    }

    public String getHostId() {
        return hostId;
    }

    public void setHostId(String hostId) {
        this.hostId = hostId;
    }

    public String getHostName() {
        return hostName;
    }

    public void setHostName(String hostName) {
        this.hostName = hostName;
    }

    public String getCoordinatesName() {
        return coordinatesName;
    }

    public void setCoordinatesName(String coordinatesName) {
        this.coordinatesName = coordinatesName;
    }



    public String getPositionUpdateTime() {
        return positionUpdateTime;
    }

    public void setPositionUpdateTime(String positionUpdateTime) {
        this.positionUpdateTime = positionUpdateTime;
    }


    public  PGPositionDto(PGTagPosition pgTagPosition)
    {
        this.setX(pgTagPosition.getX());
        this.setY(pgTagPosition.getY());
        this.setTagName(pgTagPosition.getTagName());
        this.setTagMac(pgTagPosition.getTagMac());
        this.setCoordinatesName(pgTagPosition.getCoordinatesName());
        this.setHostId(pgTagPosition.getHostId());
        this.setHostName(pgTagPosition.getHostName());
        this.setPositionUpdateTime(pgTagPosition.getPositionUpdatetime());
    }

    @Override
    public String toString() {
        return "PGPositionDto{" +
                "tagMac='" + tagMac + '\'' +
                ", tagName='" + tagName + '\'' +
                ", hostId='" + hostId + '\'' +
                ", hostName='" + hostName + '\'' +
                ", coordinatesName='" + coordinatesName + '\'' +
                ", X='" + x + '\'' +
                ", Y='" + y + '\'' +
                ", postionUpdateTime='" + positionUpdateTime + '\'' +
                '}';
    }
}
